@use 'normalize';

body {
    background-color:#fafafa;
    font-family: Segoe UI, sans-serif;
    margin: 0px auto;
    width: 500px;
    height: 375px;
}

video {
    margin-left: auto;
    margin-right: auto;
    width: 500px;
    height: 375px;
    background-color: #666;
}

.showcase {
    position: absolute;
    right: 0;
    width: 100%;
    min-height: 100vh;
    padding: 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #111;
    color: #fff;
    z-index: 2;
}

.overlay {
    z-index: 2;
    font-size: 800%;
    text-align: center;
}

.showcase #background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: 0.8s;
}

#background.inactive {
    height: 0%;
}

#giantAurora {
    transition: opacity 0.3s; 
}

#giantAurora.inactive {
    opacity: 0;
}

#tinyAurora {
    transition: opacity 0.3s; 
    font-size: 30%;
    position: fixed;
    top: 5%;
    left: 90%;
    display: none;
}

#tinyAurora.inactive {
    opacity: 0;
}